Create new product media
When you already have the images that you want to use, add them as the URL. Note that the URLs must be publicly accessible.
Required permissions: PRODUCT
post/tenants/{tenantUid}/products/{productUid}/media
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+Body
mainUrlstringRequired
thumbnailUrlstringOptional
positionintegerOptional
setAsCoverImagebooleanOptional
productMediaUidstringOptionalPattern:
^[A-Za-z0-9-_]*Responses
201
Example response
application/json
productMediaUidstringRequiredPattern:
^[A-Za-z0-9-_]+mainUrlstringRequired
thumbnailUrlstringRequired
positionintegerRequired
widthintegerRequired
heightintegerRequired
isCoverImagebooleanRequired
sourcestring · enumRequiredPossible values:
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/products/{productUid}/media
POST /v2/tenants/{tenantUid}/products/{productUid}/media HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"mainUrl": "text",
"thumbnailUrl": "text",
"position": 1,
"setAsCoverImage": true,
"productMediaUid": "text"
}201
Example response
{
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text",
"position": 1,
"width": 1,
"height": 1,
"isCoverImage": true,
"source": "FLOW",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}Last updated
Was this helpful?

